cURL
curl --request POST \
--url https://api.hyra.io/players/bans/{workspaceId}/{banId}/comments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>"
}
'import requests
url = "https://api.hyra.io/players/bans/{workspaceId}/{banId}/comments"
payload = { "body": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({body: JSON.stringify('<string>')})
};
fetch('https://api.hyra.io/players/bans/{workspaceId}/{banId}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"_id": "<string>",
"ban": "<string>",
"files": [
"<string>"
],
"videos": [
"<string>"
],
"workspace": "<string>",
"author": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"body": "<string>"
}
]Ban Comments
Post Comment
Create a comment
POST
/
players
/
bans
/
{workspaceId}
/
{banId}
/
comments
cURL
There is a more advanced version of this endpoint that allows for uploading
files and videos.However, this API uses multipart encoding instead of JSON,
so it has been omitted from this documentation and the Swagger reference.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I